How to set custom animation in EJ2 JavaScript Accordion

21 Aug 20268 minutes to read

Accordion supports custom animations for both expand and collapse actions from the provided animation option of Animation library. The animation property also allows you to set easing, duration, and various other effects of your choice.

Default animation is given as SlideDown for expanding the panel using expand animation property and SlideUp for collapsing the panel using collapse animation property. You can also disable the animation by setting animation effect as none.

The sample demonstrates some types of animation that suits for Accordion. You can check all the animation effects here.

ej.base.enableRipple(true);

//Initialize Accordion component

    var accordion = new ej.navigations.Accordion({
    items: [
        { header: 'ASP.NET', expanded: 'true', content: 'Microsoft ASP.NET is a set of technologies in the Microsoft .NET Framework for building Web applications and XML Web services.' },
        { header: 'ASP.NET MVC', content: 'The Model-View-Controller (MVC) architectural pattern separates an application into three main components: the model, the view, and the controller.' },
        { header: 'JavaScript', content: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as part of web browsers so that client-side scripts could interact with the user, control the browser, communicate asynchronously, and alter the document content that was displayed.' },
    ]
    });

//Render initialized Accordion component
    accordion.appendTo('#element');

    var listObjExpand = new ej.dropdowns.DropDownList({ 
        index: 0,
        placeholder: 'Select a animate type',
        popupHeight: '150px',
        change: function () { valueChange(); }
     });
    listObjExpand.appendTo('#expandAnimation');
    valueChange();
    
    var listObjCollapse = new ej.dropdowns.DropDownList({ 
        index: 1,
        placeholder: 'Select a animate type',
        popupHeight: '150px',
        change: function () { valueChange1(); }
     });
    listObjCollapse.appendTo('#collapseAnimation');
    valueChange1();

    function valueChange() {
      accordion.animation.expand.effect = (listObjExpand.value);
    }
    function valueChange1() {
      accordion.animation.collapse.effect = (listObjCollapse.value);
    }
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Accordion</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/bootstrap5.3.css" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="default" style="padding-bottom:75px;">
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Expand Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <select id="expandAnimation"> 
    <option value="SlideDown">SlideDown</option>
    <option value="SlideUp">SlideUp</option>
    <option value="FadeIn">FadeIn</option>
    <option value="FadeOut">FadeOut</option>
    <option value="FadeZoomIn">FadeZoomIn</option>
    <option value="FadeZoomOut">FadeZoomOut</option>
    <option value="ZoomIn">ZoomIn</option>
    <option value="ZoomOut">ZoomOut</option>
    <option value="None">None</option>
            </select>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Collapse Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <select id="collapseAnimation"> 
    <option value="SlideDown">SlideDown</option>
    <option value="SlideUp">SlideUp</option>
    <option value="FadeIn">FadeIn</option>
    <option value="FadeOut">FadeOut</option>
    <option value="FadeZoomIn">FadeZoomIn</option>
    <option value="FadeZoomOut">FadeZoomOut</option>
    <option value="ZoomIn">ZoomIn</option>
    <option value="ZoomOut">ZoomOut</option>
    <option value="None">None</option>
            </select>
                </div>
            </div>
        </div>
        <div id="element"></div>
        <br><br>
        <div id="result"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

How to set custom animation in React Accordion

04 Sep 202616 minutes to read

React Accordion supports custom animations for both expand and collapse actions from the provided animation option of Animation library. The animation property also allows you to set easing, duration, and various other effects of your choice.

Default animation is given as SlideDown for expanding the panel using expand animation property and SlideUp for collapsing the panel using collapse animation property. You can also disable the animation by setting animation effect as none.

The sample demonstrates some types of animation that suits for React Accordion. You can check all the animation effects here.

import * as React from "react";
import { useState, useEffect, useRef } from 'react';
import * as ReactDOM from 'react-dom';
import { Effect } from '@syncfusion/ej2-base';
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { AccordionComponent, AccordionItemDirective, AccordionItemsDirective } from '@syncfusion/ej2-react-navigations';

const ReactApp = () => {
  const acrdnInstance = useRef(null);
  const expandInstance = useRef(null);
  const collapseInstance = useRef(null);
  const [collapseAnimationEffect, setCollapseAnimationEffect] = useState('');
  const [expandAnimationEffect, setExpandAnimationEffect] = useState('');
  const expandAnimation = ['SlideDown', 'SlideUp', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None'];

  useEffect(() => {
    acrdnInstance.current.animation.collapse = { effect: collapseAnimationEffect };
  }, [collapseAnimationEffect]);

  useEffect(() => {
    acrdnInstance.current.animation.expand = { effect: expandAnimationEffect };
  }, [expandAnimationEffect]);

  const aspContent = () => {
    return <div>
      Microsoft ASP.NET is a set of technologies in the Microsoft .NET Framework for building Web applications and XML Web services. ASP.NET pages execute on the server and generate markup such as HTML, WML, or XML that is sent to a desktop or mobile browser. ASP.NET pages use a compiled,event-driven programming model that improves performance and enables the separation of application logic and user interface.
    </div>;
  }
  const mvcContent = () => {
    return <div>
      The Model-View-Controller (MVC) architectural pattern separates an application into three main components: the model, the view, and the controller. The ASP.NET MVC framework provides an alternative to the ASP.NET Web Forms pattern for creating Web applications. The ASP.NET MVC framework is a lightweight, highly testable presentation framework that (as with Web Forms-based applications) is integrated with existing ASP.NET features, such as master pages and membership-based authentication.
    </div>;
  }
  const jsContent = () =>{
    return <div>
      JavaScript (JS) is an interpreted computer programming language.It was originally implemented as part of web browsers so that client-side scripts could interact with the user, control the browser, communicate asynchronously, and alter the document content that was displayed.More recently, however, it has become common in both game development and the creation of desktop applications.
    </div>;
  }
  const collapseAnimationChange = (e) => {
    setCollapseAnimationEffect(collapseInstance.current.value);
  }
  const expandAnimationChange = (e) => {
    setExpandAnimationEffect(expandInstance.current.value);
  }
  const wrapStyle = { padding: '25px 0 0' };
  return (
    <div style={wrapStyle}>
      <div className='row'>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Expand Animation </label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <DropDownListComponent ref={expandInstance} index={0} change={expandAnimationChange} dataSource={expandAnimation} popupHeight="250px" placeholder="Select Expand animation" />
        </div>
      </div>
      <div className='row'>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Collapse Animation </label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <DropDownListComponent ref={collapseInstance} index={1} change={collapseAnimationChange} dataSource={expandAnimation} popupHeight="250px" placeholder="Select Collapse animation" />
        </div>
      </div>

      <AccordionComponent ref={acrdnInstance}>
        <AccordionItemsDirective>
          <AccordionItemDirective header='ASP.NET' content={ aspContent} />
          <AccordionItemDirective header='ASP.NET MVC' content={mvcContent} />
          <AccordionItemDirective header='Javascript' content={jsContent} />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
import * as React from "react";
import { useState, useEffect, useRef } from 'react';
import * as ReactDOM from 'react-dom';
import { Effect } from '@syncfusion/ej2-base';
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { AccordionComponent, AccordionItemDirective, AccordionItemsDirective } from '@syncfusion/ej2-react-navigations';

const ReactApp = () => {
  const acrdnInstance = useRef(null);
  const expandInstance = useRef(null);
  const collapseInstance = useRef(null);
  const [collapseAnimationEffect, setCollapseAnimationEffect] = useState('');
  const [expandAnimationEffect, setExpandAnimationEffect] = useState('');
  const expandAnimation = ['SlideDown', 'SlideUp', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None'];

  useEffect(() => {
    acrdnInstance.current.animation.collapse = { effect: collapseAnimationEffect };
  }, [collapseAnimationEffect]);

  useEffect(() => {
    acrdnInstance.current.animation.expand = { effect: expandAnimationEffect };
  }, [expandAnimationEffect]);

  const aspContent = () => {
    return <div>
      Microsoft ASP.NET is a set of technologies in the Microsoft .NET Framework for building Web applications and XML Web services. ASP.NET pages execute on the server and generate markup such as HTML, WML, or XML that is sent to a desktop or mobile browser. ASP.NET pages use a compiled,event-driven programming model that improves performance and enables the separation of application logic and user interface.
    </div>;
  }
  const mvcContent = () => {
    return <div>
      The Model-View-Controller (MVC) architectural pattern separates an application into three main components: the model, the view, and the controller. The ASP.NET MVC framework provides an alternative to the ASP.NET Web Forms pattern for creating Web applications. The ASP.NET MVC framework is a lightweight, highly testable presentation framework that (as with Web Forms-based applications) is integrated with existing ASP.NET features, such as master pages and membership-based authentication.
    </div>;
  }
  const jsContent = () => {
    return <div>
      JavaScript (JS) is an interpreted computer programming language.It was originally implemented as part of web browsers so that client-side scripts could interact with the user, control the browser, communicate asynchronously, and alter the document content that was displayed.More recently, however, it has become common in both game development and the creation of desktop applications.
    </div>;
  }
  const collapseAnimationChange = (e: ChangeEventArgs) => {
    setCollapseAnimationEffect(collapseInstance.current.value as Effect);
  }
  const expandAnimationChange = (e: ChangeEventArgs) => {
    setExpandAnimationEffect(expandInstance.current.value as Effect);
  }
  const wrapStyle = { padding: '25px 0 0' };
  return (
    <div style={wrapStyle}>
      <div className='row'>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Expand Animation </label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <DropDownListComponent ref={expandInstance} index={0} change={expandAnimationChange} dataSource={expandAnimation} popupHeight="250px" placeholder="Select Expand animation" />
        </div>
      </div>
      <div className='row'>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Collapse Animation </label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <DropDownListComponent ref={collapseInstance} index={1} change={collapseAnimationChange} dataSource={expandAnimation} popupHeight="250px" placeholder="Select Collapse animation" />
        </div>
      </div>

      <AccordionComponent ref={acrdnInstance}>
        <AccordionItemsDirective>
          <AccordionItemDirective header='ASP.NET' content={aspContent} />
          <AccordionItemDirective header='ASP.NET MVC' content={mvcContent} />
          <AccordionItemDirective header='Javascript' content={jsContent} />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 Accordion React Custom Animation Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }
    </style>
</head>

<body>
    <div id='element' style='padding-top: 25px'>
        <div id='loader'>Loading....</div>
    </div>
</body>
</html>

How to set custom animation in Vue Accordion

20 Aug 20269 minutes to read

Accordion supports custom animations for both expand and collapse actions from the provided animation option of Animation library.

Default animation is given as SlideDown for expanding the panel and SlideUp for collapsing the panel. You can also disable the animation by setting animation effect as none.

The sample demonstrates some types of animation that suits for Accordion. You can check all the animation effects here.

<template>
  <div id="app">
    <div style='padding-top: 25px'>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Expand Animation </label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist ref="expandInstance" :change='expandAnimationChange' index='0'
              :dataSource='expandAni' placeholder='Expand Animation'></ejs-dropdownlist></div>
        </div>
      </div>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Collapse Animation </label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist ref="collapseInstance" :change='collapseAnimationChange' index='1'
              :dataSource='expandAni' placeholder='Collapse Animation'></ejs-dropdownlist></div>
        </div>
      </div>
      <div style='padding-top: 25px'>
        <ejs-accordion ref="acrdnInstance">
          <e-accordionitems>
            <e-accordionitem expanded='true' header='ASP.NET'
              content='Microsoft ASP.NET is a set of technologies in the Microsoft .NET Framework for building Web applications and XML Web services'></e-accordionitem>
            <e-accordionitem header='ASP.NET MVC'
              content='The Model-View-Controller (MVC) architectural pattern separates an application into three main components: the model, the view, and the controller.'></e-accordionitem>
            <e-accordionitem header='JavaScript'
              content='JavaScript (JS) is an interpreted computer programming language.It was originally implemented as part of web browsers so that client-side scripts could interact with the user, control the browser, communicate asynchronously, and alter the document content that was displayed.'></e-accordionitem>
          </e-accordionitems>
        </ejs-accordion>
      </div>
    </div>
  </div>
</template>
<script setup>

import { AccordionComponent as EjsAccordion, AccordionItemDirective as EAccordionitem, AccordionItemsDirective as EAccordionitems } from "@syncfusion/ej2-vue-navigations";
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";
import { ref } from 'vue';

const acrdnInstance = ref(null);
const collapseInstance = ref(null);
const expandInstance = ref(null);
const expandAni = ['SlideDown', 'SlideUp', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None'];
const expandAnimationChange = () => {
  var obj = acrdnInstance.value.ej2Instances;
  var ddlobj = expandInstance.value.ej2Instances;
  obj.animation.expand.effect = ddlobj.value;
};
const collapseAnimationChange = () => {
  var obj = acrdnInstance.value.ej2Instances;
  var ddlobj = collapseInstance.value.ej2Instances;
  obj.animation.collapse.effect = ddlobj.value;
};

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>
<template>
  <div id="app">
    <div style='padding-top: 25px'>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Expand Animation </label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist ref="expandInstance" :change='expandAnimationChange' index='0'
              :dataSource='expandAni' placeholder='Expand Animation'></ejs-dropdownlist></div>
        </div>
      </div>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Collapse Animation </label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist ref="collapseInstance" :change='collapseAnimationChange' index='1'
              :dataSource='expandAni' placeholder='Collapse Animation'></ejs-dropdownlist></div>
        </div>
      </div>
      <div style='padding-top: 25px'>
        <ejs-accordion ref="acrdnInstance">
          <e-accordionitems>
            <e-accordionitem expanded='true' header='ASP.NET'
              content='Microsoft ASP.NET is a set of technologies in the Microsoft .NET Framework for building Web applications and XML Web services'></e-accordionitem>
            <e-accordionitem header='ASP.NET MVC'
              content='The Model-View-Controller (MVC) architectural pattern separates an application into three main components: the model, the view, and the controller.'></e-accordionitem>
            <e-accordionitem header='JavaScript'
              content='JavaScript (JS) is an interpreted computer programming language.It was originally implemented as part of web browsers so that client-side scripts could interact with the user, control the browser, communicate asynchronously, and alter the document content that was displayed.'></e-accordionitem>
          </e-accordionitems>
        </ejs-accordion>
      </div>
    </div>
  </div>
</template>
<script>

import { AccordionComponent, AccordionItemDirective, AccordionItemsDirective } from "@syncfusion/ej2-vue-navigations";
import { DropDownListComponent } from '@syncfusion/ej2-vue-dropdowns';

export default {
  name: "App",
  components: {
    "ejs-dropdownlist": DropDownListComponent,
    "ejs-accordion": AccordionComponent,
    "e-accordionitems": AccordionItemsDirective,
    "e-accordionitem": AccordionItemDirective
  },
  data: function () {
    return {
      expandAni: ['SlideDown', 'SlideUp', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None']
    };
  },
  methods: {
    expandAnimationChange: function () {
      var obj = this.$refs.acrdnInstance.ej2Instances;
      var ddlobj = this.$refs.expandInstance.ej2Instances;
      obj.animation.expand.effect = ddlobj.value;
    },
    collapseAnimationChange: function () {
      var obj = this.$refs.acrdnInstance.ej2Instances;
      var ddlobj = this.$refs.collapseInstance.ej2Instances;
      obj.animation.collapse.effect = ddlobj.value;
    }
  }
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>

How to set custom animation in Angular Accordion

26 Sep 20266 minutes to read

The Angular Accordion component supports custom animations for expand and collapse actions, enhancing the visual appeal and interactivity of content transitions. Use the animation property, part of the AccordionAnimationSettingsModel, to configure effect, easing, and duration for a tailored user experience. This is ideal for creating smooth transitions in navigation menus, FAQs, or collapsible panels.

Default animation is given as SlideDown for expanding the panel using expand animation property and SlideUp for collapsing the panel using collapse animation property. You can also disable the animation by setting animation effect as none.

The sample demonstrates some types of animation that suits for Angular Accordion. You can check all the animation effects here.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { AccordionModule } from '@syncfusion/ej2-angular-navigations'
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns'



import { Component, ViewChild } from '@angular/core';
import { Effect } from "@syncfusion/ej2-base";
import { DropDownListComponent } from '@syncfusion/ej2-angular-dropdowns';
import { AccordionComponent} from '@syncfusion/ej2-angular-navigations';

@Component({
imports: [
         AccordionModule, DropDownListModule 
    ],


standalone: true,
    selector: 'app-container',
    template: `
    <div style='padding-top: 25px'>
    <div class='row'>
    <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
      <label> Expand Animation </label></div>
      <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
      <div class='custom_drop'><ejs-dropdownlist #expandAnimation (change)='expandAnimationChange()' index='0' [dataSource]='expandAni' placeholder='Expand Animation'></ejs-dropdownlist></div>
    </div></div>
    <div class='row'>
    <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
    <label> Collapse Animation </label></div>
    <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
    <div class='custom_drop'><ejs-dropdownlist #collapseAnimation (change)='collapseAnimationChange()' index='1' [dataSource]='expandAni' placeholder='Collapse Animation'></ejs-dropdownlist></div>
    </div></div>
    <div style='padding-top: 25px'>
 <ejs-accordion #acrdnInstance>
        <e-accordionitems>
          <e-accordionitem expanded='true'>
            <ng-template #header>
              <div>ASP.NET</div>
            </ng-template>
            <ng-template #content>
              <div>Microsoft ASP.NET is a set of technologies in the Microsoft .NET Framework for building Web applications and XML Web
                services. ASP.NET pages execute on the server and generate markup such as HTML, WML, or XML that is sent to a desktop
                or mobile browser. ASP.NET pages use a compiled,event-driven programming model that improves performance and enables
                the separation of application logic and user interface.</div>
            </ng-template>
          </e-accordionitem>
          <e-accordionitem>
            <ng-template #header>
              <div>ASP.NET MVC</div>
            </ng-template>
            <ng-template #content>
              <div>The Model-View-Controller (MVC) architectural pattern separates an application into three main components: the model,
                the view, and the controller. The ASP.NET MVC framework provides an alternative to the ASP.NET Web Forms pattern for
                creating Web applications. The ASP.NET MVC framework is a lightweight, highly testable presentation framework that
                (as with Web Forms-based applications) is integrated with existing ASP.NET features, such as master pages and membership-based
                authentication.
              </div>
            </ng-template>
          </e-accordionitem>
          <e-accordionitem>
            <ng-template #header>
              <div>JavaScript</div>
            </ng-template>
            <ng-template #content>
              <div>JavaScript (JS) is an interpreted computer programming language.It was originally implemented as part of web browsers
                so that client-side scripts could interact with the user, control the browser, communicate asynchronously, and alter
                the document content that was displayed.More recently, however, it has become common in both game development and
                the creation of desktop applications.</div>
            </ng-template>
          </e-accordionitem>
        </e-accordionitems>
    </ejs-accordion>
    </div></div>
        `
})
export class AppComponent {
    @ViewChild('acrdnInstance') acrdnInstance?: AccordionComponent;
    @ViewChild('expandAnimation') expandInstance?: DropDownListComponent;
    @ViewChild('collapseAnimation') collapseInstance?: DropDownListComponent;
    public expandAni: string[] = ['SlideDown', 'SlideUp', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None'];
    public expandAnimationChange(): void {
      (this.acrdnInstance as AccordionComponent).animation.expand = { effect: this.expandInstance?.value as Effect }
    }
    public collapseAnimationChange(): void {
      (this.acrdnInstance as AccordionComponent).animation.collapse = { effect: this.collapseInstance?.value as Effect }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));